IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/56
Addresses2^72
/64 networks256
- Network
fe80:c25d:ddd:ec00::/56- First address
fe80:c25d:ddd:ec00::- Last address
fe80:c25d:ddd:ecff:ffff:ffff:ffff:ffff- Addresses
- 4,722,366,482,869,645,213,696 (2^72)
- /64 networks (LANs)
- 256
- Full form
fe80:c25d:0ddd:ec00:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
c.e.d.d.d.0.d.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25d:ddd:ec00::/56 makes 256 subnets of /64.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25d:ddd:ec00::/64 | fe80:c25d:ddd:ec00:ffff:ffff:ffff:ffff |
| 2 | fe80:c25d:ddd:ec01::/64 | fe80:c25d:ddd:ec01:ffff:ffff:ffff:ffff |
| 3 | fe80:c25d:ddd:ec02::/64 | fe80:c25d:ddd:ec02:ffff:ffff:ffff:ffff |
| 4 | fe80:c25d:ddd:ec03::/64 | fe80:c25d:ddd:ec03:ffff:ffff:ffff:ffff |
| 5 | fe80:c25d:ddd:ec04::/64 | fe80:c25d:ddd:ec04:ffff:ffff:ffff:ffff |
| 6 | fe80:c25d:ddd:ec05::/64 | fe80:c25d:ddd:ec05:ffff:ffff:ffff:ffff |
| 7 | fe80:c25d:ddd:ec06::/64 | fe80:c25d:ddd:ec06:ffff:ffff:ffff:ffff |
| 8 | fe80:c25d:ddd:ec07::/64 | fe80:c25d:ddd:ec07:ffff:ffff:ffff:ffff |
| 9 | fe80:c25d:ddd:ec08::/64 | fe80:c25d:ddd:ec08:ffff:ffff:ffff:ffff |
| 10 | fe80:c25d:ddd:ec09::/64 | fe80:c25d:ddd:ec09:ffff:ffff:ffff:ffff |
| 11 | fe80:c25d:ddd:ec0a::/64 | fe80:c25d:ddd:ec0a:ffff:ffff:ffff:ffff |
| 12 | fe80:c25d:ddd:ec0b::/64 | fe80:c25d:ddd:ec0b:ffff:ffff:ffff:ffff |
| 13 | fe80:c25d:ddd:ec0c::/64 | fe80:c25d:ddd:ec0c:ffff:ffff:ffff:ffff |
| 14 | fe80:c25d:ddd:ec0d::/64 | fe80:c25d:ddd:ec0d:ffff:ffff:ffff:ffff |
| 15 | fe80:c25d:ddd:ec0e::/64 | fe80:c25d:ddd:ec0e:ffff:ffff:ffff:ffff |
| 16 | fe80:c25d:ddd:ec0f::/64 | fe80:c25d:ddd:ec0f:ffff:ffff:ffff:ffff |
| 17 | fe80:c25d:ddd:ec10::/64 | fe80:c25d:ddd:ec10:ffff:ffff:ffff:ffff |
| 18 | fe80:c25d:ddd:ec11::/64 | fe80:c25d:ddd:ec11:ffff:ffff:ffff:ffff |
| 19 | fe80:c25d:ddd:ec12::/64 | fe80:c25d:ddd:ec12:ffff:ffff:ffff:ffff |
| 20 | fe80:c25d:ddd:ec13::/64 | fe80:c25d:ddd:ec13:ffff:ffff:ffff:ffff |
| 21 | fe80:c25d:ddd:ec14::/64 | fe80:c25d:ddd:ec14:ffff:ffff:ffff:ffff |
| 22 | fe80:c25d:ddd:ec15::/64 | fe80:c25d:ddd:ec15:ffff:ffff:ffff:ffff |
| 23 | fe80:c25d:ddd:ec16::/64 | fe80:c25d:ddd:ec16:ffff:ffff:ffff:ffff |
| 24 | fe80:c25d:ddd:ec17::/64 | fe80:c25d:ddd:ec17:ffff:ffff:ffff:ffff |
| 25 | fe80:c25d:ddd:ec18::/64 | fe80:c25d:ddd:ec18:ffff:ffff:ffff:ffff |
| 26 | fe80:c25d:ddd:ec19::/64 | fe80:c25d:ddd:ec19:ffff:ffff:ffff:ffff |
| 27 | fe80:c25d:ddd:ec1a::/64 | fe80:c25d:ddd:ec1a:ffff:ffff:ffff:ffff |
| 28 | fe80:c25d:ddd:ec1b::/64 | fe80:c25d:ddd:ec1b:ffff:ffff:ffff:ffff |
| 29 | fe80:c25d:ddd:ec1c::/64 | fe80:c25d:ddd:ec1c:ffff:ffff:ffff:ffff |
| 30 | fe80:c25d:ddd:ec1d::/64 | fe80:c25d:ddd:ec1d:ffff:ffff:ffff:ffff |
| 31 | fe80:c25d:ddd:ec1e::/64 | fe80:c25d:ddd:ec1e:ffff:ffff:ffff:ffff |
| 32 | fe80:c25d:ddd:ec1f::/64 | fe80:c25d:ddd:ec1f:ffff:ffff:ffff:ffff |
| 33 | fe80:c25d:ddd:ec20::/64 | fe80:c25d:ddd:ec20:ffff:ffff:ffff:ffff |
| 34 | fe80:c25d:ddd:ec21::/64 | fe80:c25d:ddd:ec21:ffff:ffff:ffff:ffff |
| 35 | fe80:c25d:ddd:ec22::/64 | fe80:c25d:ddd:ec22:ffff:ffff:ffff:ffff |
| 36 | fe80:c25d:ddd:ec23::/64 | fe80:c25d:ddd:ec23:ffff:ffff:ffff:ffff |
| 37 | fe80:c25d:ddd:ec24::/64 | fe80:c25d:ddd:ec24:ffff:ffff:ffff:ffff |
| 38 | fe80:c25d:ddd:ec25::/64 | fe80:c25d:ddd:ec25:ffff:ffff:ffff:ffff |
| 39 | fe80:c25d:ddd:ec26::/64 | fe80:c25d:ddd:ec26:ffff:ffff:ffff:ffff |
| 40 | fe80:c25d:ddd:ec27::/64 | fe80:c25d:ddd:ec27:ffff:ffff:ffff:ffff |
| 41 | fe80:c25d:ddd:ec28::/64 | fe80:c25d:ddd:ec28:ffff:ffff:ffff:ffff |
| 42 | fe80:c25d:ddd:ec29::/64 | fe80:c25d:ddd:ec29:ffff:ffff:ffff:ffff |
| 43 | fe80:c25d:ddd:ec2a::/64 | fe80:c25d:ddd:ec2a:ffff:ffff:ffff:ffff |
| 44 | fe80:c25d:ddd:ec2b::/64 | fe80:c25d:ddd:ec2b:ffff:ffff:ffff:ffff |
| 45 | fe80:c25d:ddd:ec2c::/64 | fe80:c25d:ddd:ec2c:ffff:ffff:ffff:ffff |
| 46 | fe80:c25d:ddd:ec2d::/64 | fe80:c25d:ddd:ec2d:ffff:ffff:ffff:ffff |
| 47 | fe80:c25d:ddd:ec2e::/64 | fe80:c25d:ddd:ec2e:ffff:ffff:ffff:ffff |
| 48 | fe80:c25d:ddd:ec2f::/64 | fe80:c25d:ddd:ec2f:ffff:ffff:ffff:ffff |
| 49 | fe80:c25d:ddd:ec30::/64 | fe80:c25d:ddd:ec30:ffff:ffff:ffff:ffff |
| 50 | fe80:c25d:ddd:ec31::/64 | fe80:c25d:ddd:ec31:ffff:ffff:ffff:ffff |
| 51 | fe80:c25d:ddd:ec32::/64 | fe80:c25d:ddd:ec32:ffff:ffff:ffff:ffff |
| 52 | fe80:c25d:ddd:ec33::/64 | fe80:c25d:ddd:ec33:ffff:ffff:ffff:ffff |
| 53 | fe80:c25d:ddd:ec34::/64 | fe80:c25d:ddd:ec34:ffff:ffff:ffff:ffff |
| 54 | fe80:c25d:ddd:ec35::/64 | fe80:c25d:ddd:ec35:ffff:ffff:ffff:ffff |
| 55 | fe80:c25d:ddd:ec36::/64 | fe80:c25d:ddd:ec36:ffff:ffff:ffff:ffff |
| 56 | fe80:c25d:ddd:ec37::/64 | fe80:c25d:ddd:ec37:ffff:ffff:ffff:ffff |
| 57 | fe80:c25d:ddd:ec38::/64 | fe80:c25d:ddd:ec38:ffff:ffff:ffff:ffff |
| 58 | fe80:c25d:ddd:ec39::/64 | fe80:c25d:ddd:ec39:ffff:ffff:ffff:ffff |
| 59 | fe80:c25d:ddd:ec3a::/64 | fe80:c25d:ddd:ec3a:ffff:ffff:ffff:ffff |
| 60 | fe80:c25d:ddd:ec3b::/64 | fe80:c25d:ddd:ec3b:ffff:ffff:ffff:ffff |
| 61 | fe80:c25d:ddd:ec3c::/64 | fe80:c25d:ddd:ec3c:ffff:ffff:ffff:ffff |
| 62 | fe80:c25d:ddd:ec3d::/64 | fe80:c25d:ddd:ec3d:ffff:ffff:ffff:ffff |
| 63 | fe80:c25d:ddd:ec3e::/64 | fe80:c25d:ddd:ec3e:ffff:ffff:ffff:ffff |
| 64 | fe80:c25d:ddd:ec3f::/64 | fe80:c25d:ddd:ec3f:ffff:ffff:ffff:ffff |
| 65 | fe80:c25d:ddd:ec40::/64 | fe80:c25d:ddd:ec40:ffff:ffff:ffff:ffff |
| 66 | fe80:c25d:ddd:ec41::/64 | fe80:c25d:ddd:ec41:ffff:ffff:ffff:ffff |
| 67 | fe80:c25d:ddd:ec42::/64 | fe80:c25d:ddd:ec42:ffff:ffff:ffff:ffff |
| 68 | fe80:c25d:ddd:ec43::/64 | fe80:c25d:ddd:ec43:ffff:ffff:ffff:ffff |
| 69 | fe80:c25d:ddd:ec44::/64 | fe80:c25d:ddd:ec44:ffff:ffff:ffff:ffff |
| 70 | fe80:c25d:ddd:ec45::/64 | fe80:c25d:ddd:ec45:ffff:ffff:ffff:ffff |
| 71 | fe80:c25d:ddd:ec46::/64 | fe80:c25d:ddd:ec46:ffff:ffff:ffff:ffff |
| 72 | fe80:c25d:ddd:ec47::/64 | fe80:c25d:ddd:ec47:ffff:ffff:ffff:ffff |
| 73 | fe80:c25d:ddd:ec48::/64 | fe80:c25d:ddd:ec48:ffff:ffff:ffff:ffff |
| 74 | fe80:c25d:ddd:ec49::/64 | fe80:c25d:ddd:ec49:ffff:ffff:ffff:ffff |
| 75 | fe80:c25d:ddd:ec4a::/64 | fe80:c25d:ddd:ec4a:ffff:ffff:ffff:ffff |
| 76 | fe80:c25d:ddd:ec4b::/64 | fe80:c25d:ddd:ec4b:ffff:ffff:ffff:ffff |
| 77 | fe80:c25d:ddd:ec4c::/64 | fe80:c25d:ddd:ec4c:ffff:ffff:ffff:ffff |
| 78 | fe80:c25d:ddd:ec4d::/64 | fe80:c25d:ddd:ec4d:ffff:ffff:ffff:ffff |
| 79 | fe80:c25d:ddd:ec4e::/64 | fe80:c25d:ddd:ec4e:ffff:ffff:ffff:ffff |
| 80 | fe80:c25d:ddd:ec4f::/64 | fe80:c25d:ddd:ec4f:ffff:ffff:ffff:ffff |
| 81 | fe80:c25d:ddd:ec50::/64 | fe80:c25d:ddd:ec50:ffff:ffff:ffff:ffff |
| 82 | fe80:c25d:ddd:ec51::/64 | fe80:c25d:ddd:ec51:ffff:ffff:ffff:ffff |
| 83 | fe80:c25d:ddd:ec52::/64 | fe80:c25d:ddd:ec52:ffff:ffff:ffff:ffff |
| 84 | fe80:c25d:ddd:ec53::/64 | fe80:c25d:ddd:ec53:ffff:ffff:ffff:ffff |
| 85 | fe80:c25d:ddd:ec54::/64 | fe80:c25d:ddd:ec54:ffff:ffff:ffff:ffff |
| 86 | fe80:c25d:ddd:ec55::/64 | fe80:c25d:ddd:ec55:ffff:ffff:ffff:ffff |
| 87 | fe80:c25d:ddd:ec56::/64 | fe80:c25d:ddd:ec56:ffff:ffff:ffff:ffff |
| 88 | fe80:c25d:ddd:ec57::/64 | fe80:c25d:ddd:ec57:ffff:ffff:ffff:ffff |
| 89 | fe80:c25d:ddd:ec58::/64 | fe80:c25d:ddd:ec58:ffff:ffff:ffff:ffff |
| 90 | fe80:c25d:ddd:ec59::/64 | fe80:c25d:ddd:ec59:ffff:ffff:ffff:ffff |
| 91 | fe80:c25d:ddd:ec5a::/64 | fe80:c25d:ddd:ec5a:ffff:ffff:ffff:ffff |
| 92 | fe80:c25d:ddd:ec5b::/64 | fe80:c25d:ddd:ec5b:ffff:ffff:ffff:ffff |
| 93 | fe80:c25d:ddd:ec5c::/64 | fe80:c25d:ddd:ec5c:ffff:ffff:ffff:ffff |
| 94 | fe80:c25d:ddd:ec5d::/64 | fe80:c25d:ddd:ec5d:ffff:ffff:ffff:ffff |
| 95 | fe80:c25d:ddd:ec5e::/64 | fe80:c25d:ddd:ec5e:ffff:ffff:ffff:ffff |
| 96 | fe80:c25d:ddd:ec5f::/64 | fe80:c25d:ddd:ec5f:ffff:ffff:ffff:ffff |
| 97 | fe80:c25d:ddd:ec60::/64 | fe80:c25d:ddd:ec60:ffff:ffff:ffff:ffff |
| 98 | fe80:c25d:ddd:ec61::/64 | fe80:c25d:ddd:ec61:ffff:ffff:ffff:ffff |
| 99 | fe80:c25d:ddd:ec62::/64 | fe80:c25d:ddd:ec62:ffff:ffff:ffff:ffff |
| 100 | fe80:c25d:ddd:ec63::/64 | fe80:c25d:ddd:ec63:ffff:ffff:ffff:ffff |
| 101 | fe80:c25d:ddd:ec64::/64 | fe80:c25d:ddd:ec64:ffff:ffff:ffff:ffff |
| 102 | fe80:c25d:ddd:ec65::/64 | fe80:c25d:ddd:ec65:ffff:ffff:ffff:ffff |
| 103 | fe80:c25d:ddd:ec66::/64 | fe80:c25d:ddd:ec66:ffff:ffff:ffff:ffff |
| 104 | fe80:c25d:ddd:ec67::/64 | fe80:c25d:ddd:ec67:ffff:ffff:ffff:ffff |
| 105 | fe80:c25d:ddd:ec68::/64 | fe80:c25d:ddd:ec68:ffff:ffff:ffff:ffff |
| 106 | fe80:c25d:ddd:ec69::/64 | fe80:c25d:ddd:ec69:ffff:ffff:ffff:ffff |
| 107 | fe80:c25d:ddd:ec6a::/64 | fe80:c25d:ddd:ec6a:ffff:ffff:ffff:ffff |
| 108 | fe80:c25d:ddd:ec6b::/64 | fe80:c25d:ddd:ec6b:ffff:ffff:ffff:ffff |
| 109 | fe80:c25d:ddd:ec6c::/64 | fe80:c25d:ddd:ec6c:ffff:ffff:ffff:ffff |
| 110 | fe80:c25d:ddd:ec6d::/64 | fe80:c25d:ddd:ec6d:ffff:ffff:ffff:ffff |
| 111 | fe80:c25d:ddd:ec6e::/64 | fe80:c25d:ddd:ec6e:ffff:ffff:ffff:ffff |
| 112 | fe80:c25d:ddd:ec6f::/64 | fe80:c25d:ddd:ec6f:ffff:ffff:ffff:ffff |
| 113 | fe80:c25d:ddd:ec70::/64 | fe80:c25d:ddd:ec70:ffff:ffff:ffff:ffff |
| 114 | fe80:c25d:ddd:ec71::/64 | fe80:c25d:ddd:ec71:ffff:ffff:ffff:ffff |
| 115 | fe80:c25d:ddd:ec72::/64 | fe80:c25d:ddd:ec72:ffff:ffff:ffff:ffff |
| 116 | fe80:c25d:ddd:ec73::/64 | fe80:c25d:ddd:ec73:ffff:ffff:ffff:ffff |
| 117 | fe80:c25d:ddd:ec74::/64 | fe80:c25d:ddd:ec74:ffff:ffff:ffff:ffff |
| 118 | fe80:c25d:ddd:ec75::/64 | fe80:c25d:ddd:ec75:ffff:ffff:ffff:ffff |
| 119 | fe80:c25d:ddd:ec76::/64 | fe80:c25d:ddd:ec76:ffff:ffff:ffff:ffff |
| 120 | fe80:c25d:ddd:ec77::/64 | fe80:c25d:ddd:ec77:ffff:ffff:ffff:ffff |
| 121 | fe80:c25d:ddd:ec78::/64 | fe80:c25d:ddd:ec78:ffff:ffff:ffff:ffff |
| 122 | fe80:c25d:ddd:ec79::/64 | fe80:c25d:ddd:ec79:ffff:ffff:ffff:ffff |
| 123 | fe80:c25d:ddd:ec7a::/64 | fe80:c25d:ddd:ec7a:ffff:ffff:ffff:ffff |
| 124 | fe80:c25d:ddd:ec7b::/64 | fe80:c25d:ddd:ec7b:ffff:ffff:ffff:ffff |
| 125 | fe80:c25d:ddd:ec7c::/64 | fe80:c25d:ddd:ec7c:ffff:ffff:ffff:ffff |
| 126 | fe80:c25d:ddd:ec7d::/64 | fe80:c25d:ddd:ec7d:ffff:ffff:ffff:ffff |
| 127 | fe80:c25d:ddd:ec7e::/64 | fe80:c25d:ddd:ec7e:ffff:ffff:ffff:ffff |
| 128 | fe80:c25d:ddd:ec7f::/64 | fe80:c25d:ddd:ec7f:ffff:ffff:ffff:ffff |
| 129 | fe80:c25d:ddd:ec80::/64 | fe80:c25d:ddd:ec80:ffff:ffff:ffff:ffff |
| 130 | fe80:c25d:ddd:ec81::/64 | fe80:c25d:ddd:ec81:ffff:ffff:ffff:ffff |
| 131 | fe80:c25d:ddd:ec82::/64 | fe80:c25d:ddd:ec82:ffff:ffff:ffff:ffff |
| 132 | fe80:c25d:ddd:ec83::/64 | fe80:c25d:ddd:ec83:ffff:ffff:ffff:ffff |
| 133 | fe80:c25d:ddd:ec84::/64 | fe80:c25d:ddd:ec84:ffff:ffff:ffff:ffff |
| 134 | fe80:c25d:ddd:ec85::/64 | fe80:c25d:ddd:ec85:ffff:ffff:ffff:ffff |
| 135 | fe80:c25d:ddd:ec86::/64 | fe80:c25d:ddd:ec86:ffff:ffff:ffff:ffff |
| 136 | fe80:c25d:ddd:ec87::/64 | fe80:c25d:ddd:ec87:ffff:ffff:ffff:ffff |
| 137 | fe80:c25d:ddd:ec88::/64 | fe80:c25d:ddd:ec88:ffff:ffff:ffff:ffff |
| 138 | fe80:c25d:ddd:ec89::/64 | fe80:c25d:ddd:ec89:ffff:ffff:ffff:ffff |
| 139 | fe80:c25d:ddd:ec8a::/64 | fe80:c25d:ddd:ec8a:ffff:ffff:ffff:ffff |
| 140 | fe80:c25d:ddd:ec8b::/64 | fe80:c25d:ddd:ec8b:ffff:ffff:ffff:ffff |
| 141 | fe80:c25d:ddd:ec8c::/64 | fe80:c25d:ddd:ec8c:ffff:ffff:ffff:ffff |
| 142 | fe80:c25d:ddd:ec8d::/64 | fe80:c25d:ddd:ec8d:ffff:ffff:ffff:ffff |
| 143 | fe80:c25d:ddd:ec8e::/64 | fe80:c25d:ddd:ec8e:ffff:ffff:ffff:ffff |
| 144 | fe80:c25d:ddd:ec8f::/64 | fe80:c25d:ddd:ec8f:ffff:ffff:ffff:ffff |
| 145 | fe80:c25d:ddd:ec90::/64 | fe80:c25d:ddd:ec90:ffff:ffff:ffff:ffff |
| 146 | fe80:c25d:ddd:ec91::/64 | fe80:c25d:ddd:ec91:ffff:ffff:ffff:ffff |
| 147 | fe80:c25d:ddd:ec92::/64 | fe80:c25d:ddd:ec92:ffff:ffff:ffff:ffff |
| 148 | fe80:c25d:ddd:ec93::/64 | fe80:c25d:ddd:ec93:ffff:ffff:ffff:ffff |
| 149 | fe80:c25d:ddd:ec94::/64 | fe80:c25d:ddd:ec94:ffff:ffff:ffff:ffff |
| 150 | fe80:c25d:ddd:ec95::/64 | fe80:c25d:ddd:ec95:ffff:ffff:ffff:ffff |
| 151 | fe80:c25d:ddd:ec96::/64 | fe80:c25d:ddd:ec96:ffff:ffff:ffff:ffff |
| 152 | fe80:c25d:ddd:ec97::/64 | fe80:c25d:ddd:ec97:ffff:ffff:ffff:ffff |
| 153 | fe80:c25d:ddd:ec98::/64 | fe80:c25d:ddd:ec98:ffff:ffff:ffff:ffff |
| 154 | fe80:c25d:ddd:ec99::/64 | fe80:c25d:ddd:ec99:ffff:ffff:ffff:ffff |
| 155 | fe80:c25d:ddd:ec9a::/64 | fe80:c25d:ddd:ec9a:ffff:ffff:ffff:ffff |
| 156 | fe80:c25d:ddd:ec9b::/64 | fe80:c25d:ddd:ec9b:ffff:ffff:ffff:ffff |
| 157 | fe80:c25d:ddd:ec9c::/64 | fe80:c25d:ddd:ec9c:ffff:ffff:ffff:ffff |
| 158 | fe80:c25d:ddd:ec9d::/64 | fe80:c25d:ddd:ec9d:ffff:ffff:ffff:ffff |
| 159 | fe80:c25d:ddd:ec9e::/64 | fe80:c25d:ddd:ec9e:ffff:ffff:ffff:ffff |
| 160 | fe80:c25d:ddd:ec9f::/64 | fe80:c25d:ddd:ec9f:ffff:ffff:ffff:ffff |
| 161 | fe80:c25d:ddd:eca0::/64 | fe80:c25d:ddd:eca0:ffff:ffff:ffff:ffff |
| 162 | fe80:c25d:ddd:eca1::/64 | fe80:c25d:ddd:eca1:ffff:ffff:ffff:ffff |
| 163 | fe80:c25d:ddd:eca2::/64 | fe80:c25d:ddd:eca2:ffff:ffff:ffff:ffff |
| 164 | fe80:c25d:ddd:eca3::/64 | fe80:c25d:ddd:eca3:ffff:ffff:ffff:ffff |
| 165 | fe80:c25d:ddd:eca4::/64 | fe80:c25d:ddd:eca4:ffff:ffff:ffff:ffff |
| 166 | fe80:c25d:ddd:eca5::/64 | fe80:c25d:ddd:eca5:ffff:ffff:ffff:ffff |
| 167 | fe80:c25d:ddd:eca6::/64 | fe80:c25d:ddd:eca6:ffff:ffff:ffff:ffff |
| 168 | fe80:c25d:ddd:eca7::/64 | fe80:c25d:ddd:eca7:ffff:ffff:ffff:ffff |
| 169 | fe80:c25d:ddd:eca8::/64 | fe80:c25d:ddd:eca8:ffff:ffff:ffff:ffff |
| 170 | fe80:c25d:ddd:eca9::/64 | fe80:c25d:ddd:eca9:ffff:ffff:ffff:ffff |
| 171 | fe80:c25d:ddd:ecaa::/64 | fe80:c25d:ddd:ecaa:ffff:ffff:ffff:ffff |
| 172 | fe80:c25d:ddd:ecab::/64 | fe80:c25d:ddd:ecab:ffff:ffff:ffff:ffff |
| 173 | fe80:c25d:ddd:ecac::/64 | fe80:c25d:ddd:ecac:ffff:ffff:ffff:ffff |
| 174 | fe80:c25d:ddd:ecad::/64 | fe80:c25d:ddd:ecad:ffff:ffff:ffff:ffff |
| 175 | fe80:c25d:ddd:ecae::/64 | fe80:c25d:ddd:ecae:ffff:ffff:ffff:ffff |
| 176 | fe80:c25d:ddd:ecaf::/64 | fe80:c25d:ddd:ecaf:ffff:ffff:ffff:ffff |
| 177 | fe80:c25d:ddd:ecb0::/64 | fe80:c25d:ddd:ecb0:ffff:ffff:ffff:ffff |
| 178 | fe80:c25d:ddd:ecb1::/64 | fe80:c25d:ddd:ecb1:ffff:ffff:ffff:ffff |
| 179 | fe80:c25d:ddd:ecb2::/64 | fe80:c25d:ddd:ecb2:ffff:ffff:ffff:ffff |
| 180 | fe80:c25d:ddd:ecb3::/64 | fe80:c25d:ddd:ecb3:ffff:ffff:ffff:ffff |
| 181 | fe80:c25d:ddd:ecb4::/64 | fe80:c25d:ddd:ecb4:ffff:ffff:ffff:ffff |
| 182 | fe80:c25d:ddd:ecb5::/64 | fe80:c25d:ddd:ecb5:ffff:ffff:ffff:ffff |
| 183 | fe80:c25d:ddd:ecb6::/64 | fe80:c25d:ddd:ecb6:ffff:ffff:ffff:ffff |
| 184 | fe80:c25d:ddd:ecb7::/64 | fe80:c25d:ddd:ecb7:ffff:ffff:ffff:ffff |
| 185 | fe80:c25d:ddd:ecb8::/64 | fe80:c25d:ddd:ecb8:ffff:ffff:ffff:ffff |
| 186 | fe80:c25d:ddd:ecb9::/64 | fe80:c25d:ddd:ecb9:ffff:ffff:ffff:ffff |
| 187 | fe80:c25d:ddd:ecba::/64 | fe80:c25d:ddd:ecba:ffff:ffff:ffff:ffff |
| 188 | fe80:c25d:ddd:ecbb::/64 | fe80:c25d:ddd:ecbb:ffff:ffff:ffff:ffff |
| 189 | fe80:c25d:ddd:ecbc::/64 | fe80:c25d:ddd:ecbc:ffff:ffff:ffff:ffff |
| 190 | fe80:c25d:ddd:ecbd::/64 | fe80:c25d:ddd:ecbd:ffff:ffff:ffff:ffff |
| 191 | fe80:c25d:ddd:ecbe::/64 | fe80:c25d:ddd:ecbe:ffff:ffff:ffff:ffff |
| 192 | fe80:c25d:ddd:ecbf::/64 | fe80:c25d:ddd:ecbf:ffff:ffff:ffff:ffff |
| 193 | fe80:c25d:ddd:ecc0::/64 | fe80:c25d:ddd:ecc0:ffff:ffff:ffff:ffff |
| 194 | fe80:c25d:ddd:ecc1::/64 | fe80:c25d:ddd:ecc1:ffff:ffff:ffff:ffff |
| 195 | fe80:c25d:ddd:ecc2::/64 | fe80:c25d:ddd:ecc2:ffff:ffff:ffff:ffff |
| 196 | fe80:c25d:ddd:ecc3::/64 | fe80:c25d:ddd:ecc3:ffff:ffff:ffff:ffff |
| 197 | fe80:c25d:ddd:ecc4::/64 | fe80:c25d:ddd:ecc4:ffff:ffff:ffff:ffff |
| 198 | fe80:c25d:ddd:ecc5::/64 | fe80:c25d:ddd:ecc5:ffff:ffff:ffff:ffff |
| 199 | fe80:c25d:ddd:ecc6::/64 | fe80:c25d:ddd:ecc6:ffff:ffff:ffff:ffff |
| 200 | fe80:c25d:ddd:ecc7::/64 | fe80:c25d:ddd:ecc7:ffff:ffff:ffff:ffff |
| 201 | fe80:c25d:ddd:ecc8::/64 | fe80:c25d:ddd:ecc8:ffff:ffff:ffff:ffff |
| 202 | fe80:c25d:ddd:ecc9::/64 | fe80:c25d:ddd:ecc9:ffff:ffff:ffff:ffff |
| 203 | fe80:c25d:ddd:ecca::/64 | fe80:c25d:ddd:ecca:ffff:ffff:ffff:ffff |
| 204 | fe80:c25d:ddd:eccb::/64 | fe80:c25d:ddd:eccb:ffff:ffff:ffff:ffff |
| 205 | fe80:c25d:ddd:eccc::/64 | fe80:c25d:ddd:eccc:ffff:ffff:ffff:ffff |
| 206 | fe80:c25d:ddd:eccd::/64 | fe80:c25d:ddd:eccd:ffff:ffff:ffff:ffff |
| 207 | fe80:c25d:ddd:ecce::/64 | fe80:c25d:ddd:ecce:ffff:ffff:ffff:ffff |
| 208 | fe80:c25d:ddd:eccf::/64 | fe80:c25d:ddd:eccf:ffff:ffff:ffff:ffff |
| 209 | fe80:c25d:ddd:ecd0::/64 | fe80:c25d:ddd:ecd0:ffff:ffff:ffff:ffff |
| 210 | fe80:c25d:ddd:ecd1::/64 | fe80:c25d:ddd:ecd1:ffff:ffff:ffff:ffff |
| 211 | fe80:c25d:ddd:ecd2::/64 | fe80:c25d:ddd:ecd2:ffff:ffff:ffff:ffff |
| 212 | fe80:c25d:ddd:ecd3::/64 | fe80:c25d:ddd:ecd3:ffff:ffff:ffff:ffff |
| 213 | fe80:c25d:ddd:ecd4::/64 | fe80:c25d:ddd:ecd4:ffff:ffff:ffff:ffff |
| 214 | fe80:c25d:ddd:ecd5::/64 | fe80:c25d:ddd:ecd5:ffff:ffff:ffff:ffff |
| 215 | fe80:c25d:ddd:ecd6::/64 | fe80:c25d:ddd:ecd6:ffff:ffff:ffff:ffff |
| 216 | fe80:c25d:ddd:ecd7::/64 | fe80:c25d:ddd:ecd7:ffff:ffff:ffff:ffff |
| 217 | fe80:c25d:ddd:ecd8::/64 | fe80:c25d:ddd:ecd8:ffff:ffff:ffff:ffff |
| 218 | fe80:c25d:ddd:ecd9::/64 | fe80:c25d:ddd:ecd9:ffff:ffff:ffff:ffff |
| 219 | fe80:c25d:ddd:ecda::/64 | fe80:c25d:ddd:ecda:ffff:ffff:ffff:ffff |
| 220 | fe80:c25d:ddd:ecdb::/64 | fe80:c25d:ddd:ecdb:ffff:ffff:ffff:ffff |
| 221 | fe80:c25d:ddd:ecdc::/64 | fe80:c25d:ddd:ecdc:ffff:ffff:ffff:ffff |
| 222 | fe80:c25d:ddd:ecdd::/64 | fe80:c25d:ddd:ecdd:ffff:ffff:ffff:ffff |
| 223 | fe80:c25d:ddd:ecde::/64 | fe80:c25d:ddd:ecde:ffff:ffff:ffff:ffff |
| 224 | fe80:c25d:ddd:ecdf::/64 | fe80:c25d:ddd:ecdf:ffff:ffff:ffff:ffff |
| 225 | fe80:c25d:ddd:ece0::/64 | fe80:c25d:ddd:ece0:ffff:ffff:ffff:ffff |
| 226 | fe80:c25d:ddd:ece1::/64 | fe80:c25d:ddd:ece1:ffff:ffff:ffff:ffff |
| 227 | fe80:c25d:ddd:ece2::/64 | fe80:c25d:ddd:ece2:ffff:ffff:ffff:ffff |
| 228 | fe80:c25d:ddd:ece3::/64 | fe80:c25d:ddd:ece3:ffff:ffff:ffff:ffff |
| 229 | fe80:c25d:ddd:ece4::/64 | fe80:c25d:ddd:ece4:ffff:ffff:ffff:ffff |
| 230 | fe80:c25d:ddd:ece5::/64 | fe80:c25d:ddd:ece5:ffff:ffff:ffff:ffff |
| 231 | fe80:c25d:ddd:ece6::/64 | fe80:c25d:ddd:ece6:ffff:ffff:ffff:ffff |
| 232 | fe80:c25d:ddd:ece7::/64 | fe80:c25d:ddd:ece7:ffff:ffff:ffff:ffff |
| 233 | fe80:c25d:ddd:ece8::/64 | fe80:c25d:ddd:ece8:ffff:ffff:ffff:ffff |
| 234 | fe80:c25d:ddd:ece9::/64 | fe80:c25d:ddd:ece9:ffff:ffff:ffff:ffff |
| 235 | fe80:c25d:ddd:ecea::/64 | fe80:c25d:ddd:ecea:ffff:ffff:ffff:ffff |
| 236 | fe80:c25d:ddd:eceb::/64 | fe80:c25d:ddd:eceb:ffff:ffff:ffff:ffff |
| 237 | fe80:c25d:ddd:ecec::/64 | fe80:c25d:ddd:ecec:ffff:ffff:ffff:ffff |
| 238 | fe80:c25d:ddd:eced::/64 | fe80:c25d:ddd:eced:ffff:ffff:ffff:ffff |
| 239 | fe80:c25d:ddd:ecee::/64 | fe80:c25d:ddd:ecee:ffff:ffff:ffff:ffff |
| 240 | fe80:c25d:ddd:ecef::/64 | fe80:c25d:ddd:ecef:ffff:ffff:ffff:ffff |
| 241 | fe80:c25d:ddd:ecf0::/64 | fe80:c25d:ddd:ecf0:ffff:ffff:ffff:ffff |
| 242 | fe80:c25d:ddd:ecf1::/64 | fe80:c25d:ddd:ecf1:ffff:ffff:ffff:ffff |
| 243 | fe80:c25d:ddd:ecf2::/64 | fe80:c25d:ddd:ecf2:ffff:ffff:ffff:ffff |
| 244 | fe80:c25d:ddd:ecf3::/64 | fe80:c25d:ddd:ecf3:ffff:ffff:ffff:ffff |
| 245 | fe80:c25d:ddd:ecf4::/64 | fe80:c25d:ddd:ecf4:ffff:ffff:ffff:ffff |
| 246 | fe80:c25d:ddd:ecf5::/64 | fe80:c25d:ddd:ecf5:ffff:ffff:ffff:ffff |
| 247 | fe80:c25d:ddd:ecf6::/64 | fe80:c25d:ddd:ecf6:ffff:ffff:ffff:ffff |
| 248 | fe80:c25d:ddd:ecf7::/64 | fe80:c25d:ddd:ecf7:ffff:ffff:ffff:ffff |
| 249 | fe80:c25d:ddd:ecf8::/64 | fe80:c25d:ddd:ecf8:ffff:ffff:ffff:ffff |
| 250 | fe80:c25d:ddd:ecf9::/64 | fe80:c25d:ddd:ecf9:ffff:ffff:ffff:ffff |
| 251 | fe80:c25d:ddd:ecfa::/64 | fe80:c25d:ddd:ecfa:ffff:ffff:ffff:ffff |
| 252 | fe80:c25d:ddd:ecfb::/64 | fe80:c25d:ddd:ecfb:ffff:ffff:ffff:ffff |
| 253 | fe80:c25d:ddd:ecfc::/64 | fe80:c25d:ddd:ecfc:ffff:ffff:ffff:ffff |
| 254 | fe80:c25d:ddd:ecfd::/64 | fe80:c25d:ddd:ecfd:ffff:ffff:ffff:ffff |
| 255 | fe80:c25d:ddd:ecfe::/64 | fe80:c25d:ddd:ecfe:ffff:ffff:ffff:ffff |
| 256 | fe80:c25d:ddd:ecff::/64 | fe80:c25d:ddd:ecff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |